# Created by pyp2rpm-3.3.1
%global pypi_name django-settings

Name:           python-%{pypi_name}
Version:        1.3.12
Release:        %mkrel 9
Summary:        Simple django reusable application for storing project settings in database
Group:          Development/Python
License:        BSD
URL:            https://github.com/jqb/django-settings
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Django reusable application for storing global project settings in database.

By project settings I mean things like admin mail, some default values like
default_post_limit etc. Values are validated depending their type.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Django reusable application for storing global project settings in database.

By project settings I mean things like admin mail, some default values like
default_post_limit etc. Values are validated depending their type.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files django_settings

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Tue Dec 12 2023 papoteur <papoteur> 1.3.12-9.mga10
+ Revision: 2017357
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.3.12-8.mga9
+ Revision: 1823835
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.3.12-7.mga9
+ Revision: 1785086
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.3.12-6.mga9
+ Revision: 1732404
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.3.12-5.mga8
+ Revision: 1535255
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.3.12-4.mga8
+ Revision: 1451700
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 1.3.12-3.mga8
+ Revision: 1430843
- switch to python3

* Thu Sep 20 2018 umeabot <umeabot> 1.3.12-2.mga7
+ Revision: 1288711
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.3.12-1.mga7
+ Revision: 1224566
- Add description
- imported package python-django-settings

